@import "tailwind.scss";
@import "highlight.scss"; // Code highlighting, see https://gohugo.io/content-management/syntax-highlighting/
@import "tippy.scss";

// Animation for menu
@keyframes menu-slidein {
  from {
    @apply right-[-25rem];
  }

  to {
    @apply right-0;
  }
}

// Animation for sidebar
@keyframes sidebar-slidein {
  from {
    @apply -left-64;
  }

  to {
    @apply left-0;
  }
}

// Animation for menu backdrop/overlay
@keyframes backdrop-show {
  from {
    @apply opacity-0;
  }

  to {
    @apply opacity-50;
  }
}

// Header / navbar
@media (max-width: 1023px) { // Note: the inverse of lg:...
  #menu-input:checked~#menu-content {
    @apply fixed z-20 flex flex-col top-0 right-[-25rem] bottom-0 w-[25rem] max-w-full px-6 pt-8 pb-4 items-start;
    animation: 300ms menu-slidein 300ms forwards;

    ul {
      @apply w-full border-b border-gray-200 pb-2 mb-4;
    }

    li {
      @apply -mx-2 mb-2;
    }

    #search-form {
      @apply w-full border-b border-gray-200 pb-4 mb-4;

      input {
        @apply w-full;
      }
    }
  }

  #menu-input:checked~#backdrop {
    @apply block opacity-50;
    animation: backdrop-show 300ms;
  }

  #menu-input:checked~#menu-toggle {
    svg:first-child {
      @apply hidden;
    }

    svg:last-child {
      @apply block;
    }
  }


  // Sidebar
  body.show-sidebar {
    #sidebar {
      @apply block fixed z-20 top-0 bottom-0 left-[-25rem] w-[25rem] max-w-full pl-6 pr-16 pt-8 pb-4 bg-white;
      animation: 300ms sidebar-slidein 300ms forwards;

      .sticky {
        @apply top-0;
      }
    }

    #backdrop {
      @apply block opacity-50;
      animation: backdrop-show 300ms;
    }
  }
}


// Sidebar
body:not(:has(#sidebar)) #sidebar-toggle {
  @apply hidden;
}

#sidebar .active {
  @apply font-medium text-blue-800 bg-blue-100;
}

// Styles for a table of contents in the sidebar generated by .Fragments.ToHTML
#sidebar nav {
  @apply sticky top-16 max-h-[calc(100vh-4rem)] overflow-y-auto;

  ul {
    @apply text-gray-500;
  }

  a {
    @apply block px-2 py-1 mb-1 rounded hover:bg-gray-100;
  }

  ul ul {
    @apply ml-2 pl-3 border-l border-gray-200;
  }
}


// Search suggestions
#search-results {
  @apply max-h-[50vh] overflow-y-auto;

  a {
    @apply flex hover:bg-gray-50 border-t border-gray-200;

    &:first-child {
      @apply border-none;
    }
  }

  span {
    &:first-child {
      @apply px-4 py-2.5 font-semibold shrink-0 w-1/3 border-r border-gray-200 break-words;
    }

    &:last-child {
      @apply px-4 py-2.5;
    }
  }
}


// Hero section
.hero {
  @apply px-6 sm:px-8 md:px-12 py-4 sm:py-6 md:py-8 leading-snug text-white bg-blue-600 bg-gradient-to-bl from-[#00baff] to-[#083ce5] rounded-md break-words;
  font-size: calc(max(min(1.25rem, 4vw), 1.125rem));

  h1 {
    @apply font-semibold mb-4;
    font-size: calc(max(min(2.25rem, 6vw), 1.5rem));
  }

  a {
    @apply underline hover:no-underline;
  }
}

body:has(.hero) header {
  @apply border-none;
}


// General content
.word-break-break-word {
  word-break: break-word;
}

.prose {
  @apply w-full max-w-[80ch] break-words; // Note: default max width is 65ch

  img {
    @apply w-full max-w-2xl object-scale-down;
  }

  h1,
  h2,
  h3,
  h4 {
    @apply scroll-mt-20; // Note: somewhat larger than the header height
  }
}

pre.mermaid {
  @apply text-gray-800 bg-slate-100;
}


// Keywords
.keyword {
  @apply bg-yellow-200 px-1 py-0.5 rounded;

  // Fix for Safari that otherwise wraps the line after the keyword because of the block level div inside an inline span
  &~div {
    @apply inline;
  }
}


// Project tags
.tag {
  @apply inline-block relative z-10 text-sm font-medium px-2 py-0.5 mb-0.5 rounded bg-sky-200;
}

.lopend-project {
  @apply bg-emerald-200;
}

.afgerond-project {
  @apply bg-slate-200;
}

.interoperabiliteit-modellen,
.interoperabiliteit-dataservices,
.interoperabiliteit-traceerbaarheid {
  @apply bg-amber-200;
}

.vertrouwen-identiteit,
.vertrouwen-toegang,
.vertrouwen-veiligheid {
  @apply bg-orange-200;
}

.datawaarde-metadata,
.datawaarde-verantwoording,
.datawaarde-publicatie {
  @apply bg-rose-200;
}

.governance-bestuurlijk,
.governance-operationeel,
.governance-beheer {
  @apply bg-purple-200;
}
